Bug 1298788 - [abrt] SolarModel: irr::scene::CSceneNodeAnimatorCameraFPS::OnEvent(): SolarModel killed by SIGSEGV
[abrt] SolarModel: irr::scene::CSceneNodeAnimatorCameraFPS::OnEvent(): SolarM...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: SolarModel (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d8f9029479fe91086d27c20611d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 23:37 EST by Javier
Modified: 2016-12-20 12:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:54:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.08 KB, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: cgroup (187 bytes, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: core_backtrace (2.06 KB, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: dso_list (4.45 KB, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: environ (1.55 KB, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: maps (18.18 KB, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: mountinfo (3.14 KB, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: open_fds (306 bytes, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: proc_pid_status (905 bytes, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details
File: var_log_messages (303 bytes, text/plain)
2016-01-14 23:37 EST, Javier
no flags Details

  None (edit)
Description Javier 2016-01-14 23:37:24 EST
Description of problem:
just using the program 

Version-Release number of selected component:
SolarModel-2.1-19.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        SolarModel
crash_function: irr::scene::CSceneNodeAnimatorCameraFPS::OnEvent
executable:     /usr/bin/SolarModel
global_pid:     3878
kernel:         4.3.3-300.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 irr::scene::CSceneNodeAnimatorCameraFPS::OnEvent at CSceneNodeAnimatorCameraFPS.cpp:76
 #1 ProcessEvent_Keys_SpeedAndTime at GameMain.cpp:975
 #2 GameEvent at GameMain.cpp:1055
 #3 GameEventReceiver::OnEvent at GameEventReceiver.cpp:6
 #4 irr::CIrrDeviceStub::postEventFromUser at CIrrDeviceStub.cpp:221
 #5 irr::CIrrDeviceLinux::run at CIrrDeviceLinux.cpp:1081
Comment 1 Javier 2016-01-14 23:37:28 EST
Created attachment 1115002 [details]
File: backtrace
Comment 2 Javier 2016-01-14 23:37:29 EST
Created attachment 1115003 [details]
File: cgroup
Comment 3 Javier 2016-01-14 23:37:30 EST
Created attachment 1115004 [details]
File: core_backtrace
Comment 4 Javier 2016-01-14 23:37:30 EST
Created attachment 1115005 [details]
File: dso_list
Comment 5 Javier 2016-01-14 23:37:31 EST
Created attachment 1115006 [details]
File: environ
Comment 6 Javier 2016-01-14 23:37:33 EST
Created attachment 1115007 [details]
File: exploitable
Comment 7 Javier 2016-01-14 23:37:37 EST
Created attachment 1115008 [details]
File: limits
Comment 8 Javier 2016-01-14 23:37:38 EST
Created attachment 1115009 [details]
File: maps
Comment 9 Javier 2016-01-14 23:37:39 EST
Created attachment 1115010 [details]
File: mountinfo
Comment 10 Javier 2016-01-14 23:37:41 EST
Created attachment 1115011 [details]
File: namespaces
Comment 11 Javier 2016-01-14 23:37:42 EST
Created attachment 1115012 [details]
File: open_fds
Comment 12 Javier 2016-01-14 23:37:43 EST
Created attachment 1115013 [details]
File: proc_pid_status
Comment 13 Javier 2016-01-14 23:37:44 EST
Created attachment 1115014 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:57:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:54:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.